<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSPY v2004 rel. 3 U (http://www.xmlspy.com) by MIYAKE Manabu (THE YOMIURI SHIMBUN) -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:pgml="urn:iptc:std-draft:ProgramGuideML:1.0:spec:xml-schema:1.0:xsd" xmlns:mpeg7="urn:mpeg:mpeg7:schema:2001" xmlns:tva="urn:tva:metadata:2002" xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xsl:output method="html"/>
	<xsl:template match="/">
		<xsl:element name="html">
			<xsl:attribute name="lang">ISO-8859-1</xsl:attribute>
			<xsl:element name="head">
				<xsl:element name="title">
					<xsl:value-of select="//pgml:ProgramGuideML/pgml:ProgramTable/pgml:ProgramTableInformation/pgml:Station/tva:Name"/>
				</xsl:element>
				<xsl:element name="style">.symbol{bold;background-color:black;color:white;}</xsl:element>
				<xsl:element name="meta">
					<xsl:attribute name="HTTP-EQUIV">Content-Type</xsl:attribute>
					<xsl:attribute name="CONTENT">text/html; charset=ISO-8859-1</xsl:attribute>
				</xsl:element>
				<xsl:element name="meta">
					<xsl:attribute name="NAME">AUTHOR</xsl:attribute>
					<xsl:attribute name="CONTENT">Manabu Miyake</xsl:attribute>
				</xsl:element>
			</xsl:element>
			<xsl:element name="body">
				<xsl:apply-templates select="//pgml:ProgramGuideML/pgml:ProgramTable"/>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	<xsl:template match="pgml:ProgramGuideML/pgml:ProgramTable">
		<xsl:text>ProgramGuideML Sample </xsl:text>
		<xsl:element name="br"/>
		<xsl:value-of select="substring(pgml:ProgramTableInformation/pgml:StartDate,1,10)"/>
		<xsl:text>  </xsl:text>
		<xsl:value-of select="substring(pgml:ProgramTableInformation/pgml:StartDate,12,5)"/>
		<xsl:text>-</xsl:text>
		<xsl:value-of select="substring(pgml:ProgramTableInformation/pgml:EndDate,12,5)"/>
		<xsl:element name="table">
			<xsl:attribute name="width">160</xsl:attribute>
			<xsl:attribute name="bgcolor">#F0F0F0</xsl:attribute>
			<xsl:element name="tr">
				<xsl:attribute name="bgcolor">#D8BFDB</xsl:attribute>
				<xsl:element name="th">
					<xsl:attribute name="colspan">2</xsl:attribute>
					<xsl:value-of select="pgml:ProgramTableInformation/pgml:Station/tva:Name"/>
				</xsl:element>
			</xsl:element>
			<xsl:apply-templates select="pgml:ProgramItem"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="pgml:ProgramItem">
		<xsl:for-each select=".">
			<xsl:sort select="@order" order="ascending"/>
			<xsl:choose>
				<xsl:when test="pgml:ProgramContent/pgml:SubProgram">
					<xsl:apply-templates select="pgml:ProgramContent/pgml:SubProgram"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:element name="tr">
						<xsl:element name="td">
							<xsl:attribute name="width">20</xsl:attribute>
							<xsl:attribute name="valign">top</xsl:attribute>
							<xsl:value-of select="substring(pgml:ProgramInformation//tva:ProgramLocationTable//tva:PublishedStartTime,12,5)"/>
						</xsl:element>
						<xsl:element name="td">
							<xsl:apply-templates select="pgml:ProgramInformation"/>
							<xsl:apply-templates select="pgml:ProgramContent"/>
						</xsl:element>
					</xsl:element>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="pgml:ProgramInformation">
		<xsl:element name="b">
			<xsl:element name="font">
				<xsl:attribute name="color">blue</xsl:attribute>
				<xsl:apply-templates select=".//tva:ProgramInformation"/>
			</xsl:element>
		</xsl:element>
		<xsl:element name="br"/>
	</xsl:template>
	<xsl:template match="pgml:ProgramContent">
		<xsl:element name="font">
			<xsl:attribute name="color">black</xsl:attribute>
			<xsl:apply-templates select="pgml:Body"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="pgml:Body">
		<xsl:if test="@newsml_formalname = 'CellularPhone'">
			<!--
			<xsl:for-each select="pgml:BodyContent/pgml:P">
				<xsl:value-of select="."/>
				<xsl:element name="br"/>
			</xsl:for-each>
			-->
		</xsl:if>
	</xsl:template>
	<xsl:template match="pgml:ProgramContent/pgml:SubProgram">
		<xsl:for-each select=".">
			<xsl:sort select="@order" order="ascending"/>
			<xsl:element name="tr">
				<xsl:element name="td">
					<xsl:attribute name="width">20</xsl:attribute>
					<xsl:attribute name="valign">top</xsl:attribute>
					<xsl:choose>
						<xsl:when test="@role = 'sub'">
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="substring(pgml:SubProgramInformation//tva:ProgramLocationTable//tva:PublishedStartTime,12,5)"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
				<xsl:element name="td">
					<xsl:choose>
						<xsl:when test="@role = 'sub'">
							<xsl:element name="i">
								<xsl:element name="font">
									<xsl:attribute name="color">black</xsl:attribute>
									<xsl:value-of select="substring(pgml:SubProgramInformation//tva:ProgramLocationTable//tva:PublishedStartTime,12,5)"/>
									<xsl:text> </xsl:text>
									<xsl:apply-templates select="pgml:SubProgramInformation"/>
									<xsl:apply-templates select="pgml:SubProgramContent"/>
								</xsl:element>
							</xsl:element>
						</xsl:when>
						<xsl:otherwise>
							<xsl:element name="b">
								<xsl:element name="font">
									<xsl:attribute name="color">black</xsl:attribute>
									<xsl:apply-templates select="pgml:SubProgramInformation"/>
								</xsl:element>
							</xsl:element>
							<xsl:apply-templates select="pgml:SubProgramContent"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
			</xsl:element>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="pgml:SubProgramInformation">
		<xsl:apply-templates select=".//tva:ProgramInformation"/>
		<xsl:element name="br"/>
	</xsl:template>
	<xsl:template match="pgml:SubProgramContent">
		<xsl:element name="font">
			<xsl:attribute name="color">black</xsl:attribute>
			<xsl:apply-templates select="pgml:Body"/>
		</xsl:element>
	</xsl:template>

<!-- TV-Anytime -->
	<xsl:template match="tva:ProgramInformation">
		<xsl:if test="tva:BasicDescription/tva:CaptionLanguage">
			<xsl:choose>
				<xsl:when test="substring(tva:BasicDescription/tva:CaptionLanguage,1,2) = 'ja'">
					<xsl:element name="font">
						<xsl:attribute name="class">symbol</xsl:attribute>
						<xsl:text>字</xsl:text>
					</xsl:element>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>(Subtitles)</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
		<xsl:if test="tva:AVAttributes//tva:NumOfChannels = '2'">
			<xsl:element name="font">
				<xsl:attribute name="class">symbol</xsl:attribute>
				<xsl:choose>
					<xsl:when test="substring(tva:BasicDescription/tva:Title/@xml:lang,1,2) = 'ja'">
						<xsl:text>Ｓ</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>S</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
		</xsl:if>
		<xsl:if test="tva:BasicDescription/tva:Title/@type = 'seriesTitle'">
			<xsl:value-of select="tva:BasicDescription/tva:Title[@type='seriesTitle']"/>
			<xsl:text>:</xsl:text>
		</xsl:if>
		<xsl:value-of select="tva:BasicDescription/tva:Title[@type='main']"/>
		<xsl:if test="tva:EpisodeOf/@index">
			<xsl:text>(</xsl:text>
			<xsl:value-of select="tva:EpisodeOf/@index"/>
			<xsl:text>)</xsl:text>
		</xsl:if>
		<xsl:if test="tva:BasicDescription/tva:Title[@type='secondary']">
			<xsl:text>--</xsl:text>
			<xsl:value-of select="tva:BasicDescription/tva:Title[@type='secondary']"/>
			<xsl:text>--</xsl:text>
		</xsl:if>
		<xsl:if test="../../tva:ProgramLocationTable//tva:Repeat/@value = 'true'">
			<xsl:choose>
				<xsl:when test="substring(tva:BasicDescription/tva:Title/@xml:lang,1,2) = 'ja'">
					<xsl:element name="font">
						<xsl:attribute name="class">symbol</xsl:attribute>
						<xsl:text>再</xsl:text>
					</xsl:element>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>(Repeat)</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
<!--
		<xsl:if test="tva:BasicDescription/tva:CreditsList">
			<xsl:for-each select="tva:BasicDescription/tva:CreditsList/tva:CreditsItem">
				<xsl:element name="div">
					<xsl:attribute name="align">right</xsl:attribute>
					<xsl:element name="font">
						<xsl:attribute name="color">black</xsl:attribute>
						<xsl:choose>
							<xsl:when test="substring(tva:PersonName,1,2) = 'ja'">
								<xsl:value-of select="tva:PersonName/mpeg7:FamilyName"/>
								<xsl:text> </xsl:text>
								<xsl:value-of select="tva:PersonName/mpeg7:GivenName"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="tva:PersonName"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
				</xsl:element>
			</xsl:for-each>
		</xsl:if>
-->
	</xsl:template>
	
	<xsl:template match="@*|node()">
		<xsl:copy>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>
	

</xsl:stylesheet>
